package cn.ibizhub.demo.demo.controller;

import cn.ibizhub.demo.demo.domain.ONEET;
import cn.ibizhub.demo.demo.domain.MANYET;
import cn.ibizhub.demo.demo.service.ONEETService;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.xml.ws.RequestWrapper;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Controller
public class ONEETcontroller {

    @Autowired
    private ONEETService oneetService;

    @RequestMapping(value = "/addONEET",method = RequestMethod.GET)
    @ResponseBody
    public String addONEET(@RequestParam("str") String str){

        ONEET oneet = new ONEET();
        oneet.setOneetname(str);

        MANYET manyet = new MANYET();
        manyet.setManyetname(str);
        oneet.addMANYET(manyet);
        oneetService.addONEET(oneet);
        return "end";
    }

    @RequestMapping(value = "/deleteONEET",method = RequestMethod.GET)
    @ResponseBody
    public String deleteONEET( @RequestParam("id") String id , @RequestParam("manyetid") String manyetid ){

        ONEET oneet = new ONEET();
        oneet.setOneetid(id);

        MANYET manyet = new MANYET();
        manyet.setManyetid(manyetid);
        oneet.removeMANYET(manyet);
        oneetService.deleteONEET(oneet);
        return "end";
    }

    @RequestMapping(value = "/updateONEET",method = RequestMethod.GET)
    @ResponseBody
    public String updateONEET(@RequestParam("str") String str,@RequestParam("id") String id){

        ONEET oneet = new ONEET();
        oneet.setOneetid(id);
        oneet.setOneetname(str);
        oneetService.updateONEET(oneet);
        return "end";
    }

    @RequestMapping(value = "/selectONEETall",method = RequestMethod.GET)
    @ResponseBody
    public String selectONEETall(){

        List<ONEET> list = oneetService.selectONEETall();
        StringBuilder sb = new StringBuilder();
        for (ONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }

    @RequestMapping(value = "/selectONEET",method = RequestMethod.GET)
    @ResponseBody
    public String selectONEET(@RequestParam("id") String id){

        ONEET oneet = oneetService.selectONEET(id);
        return oneet.toString();
    }

	@RequestMapping(value = "/selectONEETOneetnamelike",method = RequestMethod.GET)
    @ResponseBody
    public String selectONEETOneetnamelike(@RequestParam("str") String str){

        List<ONEET> list = oneetService.findByOneetnameContaining(str);
        StringBuilder sb = new StringBuilder();
        for (ONEET s : list) {
            if (s != null && !"".equals(s)) {
                sb.append(s.toString()).append(";");
            }
        }
        return sb.toString();
    }


}
